/*
 
Copyright 2011 Bernardo Cuteri bernardoc91@hotmail.it  
 
This file is part of "Ascii Space Invaders".
 
"Ascii Space Invaders" is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
"Ascii Space Invaders" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with "Ascii Space Invaders".  If not, see
<http://www.gnu.org/licenses/>.
 
*/

#include "Documento.h"
#include <ncurses.h>
Documento::Documento(string Name)
:NomeFile(Name)
{}
void Documento::drawIt()
{	
	const int DimMax=80;
	Input.open(NomeFile.data());
	if(!Input.is_open())
	{
		mvprintw(1,1,"Could not load the Instruction file");
		sleep(2);
		return;
	}
	char Buffer[DimMax];
	Input.ignore();
	int ContaRighe=0;
	while(!Input.eof())
	{
		ContaRighe++;
		if(Input.getline(Buffer,DimMax))
			mvprintw(ContaRighe,2,Buffer);
	}
	attron(COLOR_PAIR(4));
	mvprintw(23,1," Pess any key to continue...");
	attron(COLOR_PAIR(2));
}

