/*
 
Copyright 2011 Bernardo Cuteri bernardoc91@hotmail.it  
 
This file is part of "Ascii Space Invaders".
 
"Ascii Space Invaders" is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
 
"Ascii Space Invaders" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with "Ascii Space Invaders".  If not, see
<http://www.gnu.org/licenses/>.
 
*/

#ifndef MONSTER_H
#define MONSTER_H
class Monster 
{
	public:
		Monster(bool att=false,int Y=0,int X=0);
		void drawMonster();
		void delMonster();		
		int getTipo();
		void setTipo(int);
		int getHP();
		bool danno(int);
		int getX();
		int getY();
		void setCoordX(int);
		void setCoordY(int);
		void attivazione(int,int,int);
		void disattivazione();
		bool getAttivita();
		int getMovimento();
		void setMovimento(int);
		void GameOver(int);
		static int NumeroDiMostriAttivi;
	private:
		int HP;		
		int Tipo;	
		int CoordX;
		int CoordY;
		bool Attivita;
		int InMovimento;
		
};
#endif
